
From: Dominik Brodowski <linux@dominikbrodowski.net>

Add pcmcia_device_id table.

Signed-off-by: Dominik Brodowski <linux@dominikbrodowski.net>
Acked-by: Marcel Holtmann <marcel@holtmann.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/bluetooth/bluecard_cs.c |    9 +++++++++
 1 files changed, 9 insertions(+)

diff -puN drivers/bluetooth/bluecard_cs.c~pcmcia-id_table-for-bluecard_csc drivers/bluetooth/bluecard_cs.c
--- 25/drivers/bluetooth/bluecard_cs.c~pcmcia-id_table-for-bluecard_csc	Sun Mar  6 17:28:17 2005
+++ 25-akpm/drivers/bluetooth/bluecard_cs.c	Sun Mar  6 17:28:17 2005
@@ -1085,6 +1085,14 @@ static int bluecard_event(event_t event,
 	return 0;
 }
 
+static struct pcmcia_device_id bluecard_ids[] = {
+	PCMCIA_DEVICE_PROD_ID12("BlueCard", "LSE041", 0xbaf16fbf, 0x657cc15e),
+	PCMCIA_DEVICE_PROD_ID12("BTCFCARD", "LSE139", 0xe3987764, 0x2524b59c),
+	PCMCIA_DEVICE_PROD_ID12("WSS", "LSE039", 0x0a0736ec, 0x24e6dfab),
+	PCMCIA_DEVICE_NULL
+};
+MODULE_DEVICE_TABLE(pcmcia, bluecard_ids);
+
 static struct pcmcia_driver bluecard_driver = {
 	.owner		= THIS_MODULE,
 	.drv		= {
@@ -1092,6 +1100,7 @@ static struct pcmcia_driver bluecard_dri
 	},
 	.attach		= bluecard_attach,
 	.detach		= bluecard_detach,
+	.id_table	= bluecard_ids,
 };
 
 static int __init init_bluecard_cs(void)
_
